#include "cctrlbuttonid.h"

CCtrlButtonID::CCtrlButtonID(QWidget *parent, int32_t iID)
	:QPushButton(parent)
{
    m_iID=iID;
//    setMinimumHeight(50);
//    setMaximumWidth(150 );
    connect(this,SIGNAL(clicked()),this,SLOT(MClick_Slot()));
}

void CCtrlButtonID::MClick_Slot()
{
    emit MClick_Signal(m_iID);
}

